priceListCharge

The priceListCharge query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the PriceListCharge type.

query priceListCharge ($id: ID, $code: String, $format: String) {
  priceListCharge (id: $id, code: $code, format: $format) {
    accountingCode
    avalaraAfcSaleType
    avalaraAfcServiceType
    avalaraAfcTransactionType
    basePrice
    code
    createdAt
    creditValidityMonths
    currencyId
    defaultQuantity
    deprecated
    featureAddon
    featureId
    financialAccountId
    hidePeriodsOnInvoice
    id
    isTelecomCharge
    longName
    name
    position
    price
    priceDecimals
    priceDescription
    priceListId
    productId
    quantityMax
    quantityMin
    recognitionPeriod
    removeOnRenewal
    roundUpInterval
    selfServiceQuantity
    showPriceAsMonthly
    specificInvoiceLineText
    taxCode
    topUp
    topUpChargeId
    topUpMaxPerMonth
    topUpQuantity
    topUpTarget
    topUpThreshold
    unitLabel
    updatedAt
    usageCredits
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section